# odbc_field_len

(PHP 4, PHP 5, PHP 7, PHP 8)

odbc_field_len — Lit la longueur d'un champ

### Description

odbc_field_len(Odbc\Result `$statement`, int `$field`): int|false

Lit la longueur du champ identifié par son numéro.

### Liste de paramètres

`statement`

  L’objet de résultat ODBC.

`field`

  Le numéro du champ. La numérotation commence à 1.

### Valeurs de retour

Retourne la longueur du champ ou `false` si une erreur survient.

### Historique

Version | Description
--- | ---
8.4.0 | `statement` attend désormais une instance de Odbc\Result; auparavant, un resource était attendu.

### Voir aussi

- odbc_field_scale() - Lit l'échelle d'un champpour connaître l'échelle d'un nombre à virgule flottante